Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "e65ef146-7f57-446d-b262-88ba3c74220f",
  "_parent_id": "7cd5777e-ceb0-4e7e-88f2-4aefb6ec0ef2",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "2ab58223-21bc-44a5-a2c1-e551077e7ca8",
  "company_id": "1ba52c03-71e9-4485-b732-9664bd6bd12c",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "ebe88d85-7b8e-41e3-b1bc-e3ea34247a4a",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "7b33df85-6a0c-401b-bdc3-50286c2b0ff0",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "892b2feb-8024-4b38-b16e-44d595a1c3e1",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "0d739215-bf7e-44c3-bddc-27e5f4cdb94d",
    "company_code": "sample string 5",
    "company": {
      "id": "5af67ac0-7ed6-445f-b4c0-532b333e8166",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-01T07:16:58.9945783+00:00",
      "sales_territory_id": "cb418c84-3976-4067-ab65-11eb41b0e0dd",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "5dcd5d71-d3d8-4a50-9e67-50fcb5dad428",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "bfee36f8-d789-40ea-8ee4-d73bdfc60e6a",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "60681e2f-9312-49a0-ac2e-844b56b85cbf",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "2e48b773-d6ab-4e9f-8b74-73a56aeede87",
          "db_currency_id": "4e4672bd-427f-4d7b-b4fa-562854b4e0de",
          "db_language_id": "bc34086f-c43c-4f0b-8a67-95995239dc3f",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-01T07:16:58.9945783+00:00"
        },
        "modified_dateutc": "2026-11-01T07:16:58.9945783+00:00"
      },
      "marketing_segment_id": "59560cc8-191b-4c56-a54e-c4efd3a51603",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "092ec042-210b-4633-a4a8-5c6e0e166052",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "8082dd2c-18be-474b-a985-e24372898e3e",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "667768d5-7de0-453a-bdfa-8273a621390f",
      "db_country_code": "sample string 28",
      "feelist_id": "6e1b6bd7-0413-43b9-b0fa-043e2fe9e178",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "546992a5-cdf2-4c28-a7de-3ac865568e03",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "87492250-de63-4cd7-8e78-52a3f4da19d4",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-01T07:16:59.0100183+00:00",
        "db_currency_id": "cf573238-130d-4775-a857-466bee36fec8",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "1afd8458-7306-4f6c-ae6d-ab807322e454",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "6da0cb7d-41ec-4093-be94-bec050493d40",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "d60b10c1-7c7e-45c6-b8b7-57dff84e86d4",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "223730b0-a007-482d-9872-703da783bed5",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "1666ac79-304f-480b-bc55-c0ab900236a8",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "86528647-daaf-4b15-8698-dbab2ec3a608",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "4f2924f0-9062-4f95-8413-781734965535",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-01T07:16:59.0100183+00:00"
      },
      "company_sector_id": "94d3f7e3-b0da-4ba7-a86d-8fc4627d075a",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "65ca9132-fa07-4d40-a3a0-1582173b31e1",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "c1889ee9-467b-4398-a6a3-d29626b64eeb",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "53603721-22e5-4648-b8cb-874e1d6ab676",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "ab4c8cb0-bb4a-464d-8234-2afab548d968",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-01T07:16:59.0100183+00:00",
      "id2": 60
    },
    "db_language_id": "40f7e980-589a-4cb0-a155-8e638a7a2196",
    "db_language_code": "sample string 7",
    "db_title_id": "b6f751f5-f346-482b-8132-f96f177971f1",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-01T07:16:59.0100183+00:00",
    "create_date": "2026-11-01T07:16:59.0100183+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-01T07:16:59.0100183+00:00"
  },
  "modified_dateutc": "2026-11-01T07:16:59.0100183+00:00",
  "id2": 22
}